config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications 2>/dev/null
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
config etc/pekwm/autoproperties.new 
config etc/pekwm/autoproperties_typerules.new 
config etc/pekwm/config.new 
config etc/pekwm/keys.new 
config etc/pekwm/menu.new 
config etc/pekwm/mouse.new 
config etc/pekwm/start.new 
config etc/pekwm/vars.new 
config etc/xdg/ede/ede-conf.conf.new 
config etc/xdg/ede/ede-settings.conf.new 
config etc/xdg/ede/ede-startup.conf.new 
